using System;

internal sealed class Delegate556 : MulticastDelegate
{
	public extern void Invoke(object object_0, EventHandler eventHandler_0);

	public static void smethod_0(object object_0, EventHandler eventHandler_0, Delegate556 delegate556_1)
	{
		delegate556_1(object_0, eventHandler_0);
	}

	public extern Delegate556(object object_0, IntPtr intptr_0);

	static Delegate556()
	{
		Class10.smethod_13(typeof(Delegate556).TypeHandle);
	}

	internal static Delegate556 delegate556_0;
}
